Глава 4. Изменения пакетов и функций

Приведенная здесь информация имеет строгое отношение к выпуску Red Hat Enterprise Linux 7.0. Red Hat оставляет за собой право ее корректировать.

4.1. Устаревшие пакеты

Ниже перечислены пакеты и функции, которые были признаны устаревшими в Red Hat Enterprise Linux 7.0 и будут удалены из будущих версий. Параллельно представлены заменившие их функции.

Таблица 4.1. Устаревшие пакеты

Пакеты, функции Альтернатива Примечания
ext2 и ext3 ext4 Код ext4 может использоваться для ext2 и ext3
sblim-sfcb tog-pegasus
RHN Hosted subscription-manager и Subscription Asset Manager
acpid systemd
evolution-mapi evolution-ews Рекомендуется отказаться от использования Microsoft Exchange Server 2003
gtkhtml3 webkitgtk3
sendmail postfix
edac-utils и mcelog rasdaemon
libcgroup systemd Red Hat Enterprise Linux 7.0 по-прежнему предлагает пакет cgutils, но с развитием systemd он будет заменен.
krb5-appl openssh OpenSSH поддерживается современными стандартами, его кодовая база активно развивается.
lvm1 lvm2
lvm2mirror и cmirror lvm2 raid1 lvm2 raid1 не поддерживает кластеры, поэтому в ближайшее время замена cmirror не планируется.